Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::UnionShape Class Reference

A UnionShape is volume enclosed by a set of Shape's. More...

`#include <shape.h>`

Inheritance diagram for sc::UnionShape:

[legend]
Collaboration diagram for sc::UnionShape:

[legend]
List of all members.

## Public Methods

void | add_shape (Ref< Shape >)
| UnionShape ()
| ~UnionShape ()
double | distance_to_surface (const SCVector3 &r, SCVector3 *grad=0) const
int | is_outside (const SCVector3 &r) const
void | boundingbox (double valuemin, double valuemax, SCVector3 &p1, SCVector3 &p2)
int | gradient_implemented () const

## Protected Attributes

std::set< Ref< Shape > > | _shapes

## Detailed Description

A UnionShape is volume enclosed by a set of Shape's.

The documentation for this class was generated from the following file:

- shape.h